## ninja-build 1.0.0

=== debian/changelog ===
ninja-build (1.0.0-0ubuntu1) raring; urgency=low

  * Upload to Ubuntu
  * In debian/rules hardcode path to binary

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 27 Nov 2012 17:39:03 +0000

ninja-build (1.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #683333)

 -- Gary Kramlich <grim@reaperworld.com>  Mon, 17 Sep 2012 02:06:29 -0500
