=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

debian/ninja.1: debian/ninja.1.in
	help2man --include=debian/ninja.1.in --output=debian/ninja.1 --no-info --no-discard-stderr debian/ninja-build/usr/bin/ninja

override_dh_auto_configure:
	./bootstrap.py -- --with-gtest=/usr/src/gtest/

override_dh_auto_build:
	./ninja all
	./ninja manual

override_dh_clean:
	dh_clean
	test -x ninja && ./ninja -t clean || true
	find -type f -iname "*.pyc" | xargs rm -f
	rm -f build.ninja
	rm -rf build
	rm -f debian/ninja.1

override_dh_installman: debian/ninja.1
	dh_installman
