=== debian/watch ===
version=3
https://github.com/martine/ninja/tags .*/tarball/v(\d[\d\.]+)
