## ninja-build 1.3.4

=== debian/changelog ===
ninja-build (1.3.4-1.2~bpo7+0) wheezy; urgency=medium

  * Backport to Wheezy.

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 12 May 2021 15:43:11 +0200

ninja-build (1.3.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add gnukfreebsd.patch to fix platform detection on gnukfreebsd 9 and later.
    Thanks to Steven Chamberlain for the patch. (Closes: #717364)

 -- Felix Geyer <fgeyer@debian.org>  Sat, 31 May 2014 10:01:37 +0200

ninja-build (1.3.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Properly call doxygen in -indep rule. Closes: #716885

 -- Mathieu Malaterre <malat@debian.org>  Thu, 18 Jul 2013 10:09:48 +0200

ninja-build (1.3.4-1) unstable; urgency=low

  [ Gary Kramlich ]
  * New upstream release
  * Added ninja-build-doc package that contains the doxygen output
    (Closes: 712242)
  * Added a patch (also sent upstream) to make doc/manual.asciidoc's output
    xmllint clean (Closes: 712239)

  [ Mathieu Malaterre ]
  * Add missing B-D-I: doxygen

 -- Gary Kramlich <grim@reaperworld.com>  Sun, 30 Jun 2013 18:30:11 -0500

ninja-build (1.3.3-2) unstable; urgency=low

  * Updated standards-version to 3.9.4
  * Updated the man page for 1.3.3
  * Fixed building on kfreebsd

 -- Gary Kramlich <grim@reaperworld.com>  Sat, 25 May 2013 04:49:56 -0500

ninja-build (1.3.3-1) unstable; urgency=low

  * New upstream release
  * Added a build-depends on docbook-xml (Closes: #709158)

 -- Gary Kramlich <grim@reaperworld.com>  Tue, 21 May 2013 22:09:25 -0500

ninja-build (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Added dependencies on xsltproc and docbook-xsl or docbook-xsl-ns

 -- Gary Kramlich <grim@reaperworld.com>  Sun, 19 May 2013 13:35:48 -0500

ninja-build (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Turned on verbose build flag (Closes: #695670)
  * Install the bash completion and zsh completion scripts
  * Install the vim and emacs syntax files

 -- Gary Kramlich <grim@reaperworld.com>  Sun, 14 Apr 2013 22:00:29 -0500

ninja-build (1.0.0-2) unstable; urgency=low

  * Applied Pino Toscano <pino@debian.org> patch for fixing non Linux builds
    (Closes: #695631)

 -- Gary Kramlich <grim@reaperworld.com>  Mon, 10 Dec 2012 23:20:57 -0600
