=== debian/control ===
Source: ninja-build
Section: deps-r14/devel
Priority: optional
Maintainer: Gary Kramlich <grim@reaperworld.com>
Build-Depends: debhelper (>=9), libgtest-dev (>=1.6.0), python, asciidoc,
 hardening-wrapper, re2c, help2man, xsltproc, docbook-xsl | docbook-xsl-ns,
 docbook-xml, doc-base
Build-Depends-Indep: doxygen
Homepage: http://martine.github.com/ninja/
Vcs-Browser: https://bitbucket.org/rw_grim/ninja-build-debian-packaging/src
Vcs-Hg: https://bitbucket.org/rw_grim/ninja-build-debian-packaging
Standards-Version: 3.9.4

Package: ninja-build
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: ninja
Description: small build system closest in spirit to Make
 Ninja is yet another build system. It takes as input the interdependencies of
 files (typically source code and output executables) and orchestrates
 building them, quickly.
 .
 Ninja joins a sea of other build systems. Its distinguishing goal is to be
 fast. It is born from the Chromium browser project, which has over 30,000
 source files and whose other build systems can take ten seconds to start
 building after changing one file. Ninja is under a second.

Package: ninja-build-doc
Architecture: all
Section: deps-r14/doc
Depends: ${misc:Depends}
Description: documentation for ninja-build
 Ninja is yet another build system. It takes as input the interdependencies of
 files (typically source code and output executables) and orchestrates
 building them, quickly.
 .
 Ninja joins a sea of other build systems. Its distinguishing goal is to be
 fast. It is born from the Chromium browser project, which has over 30,000
 source files and whose other build systems can take ten seconds to start
 building after changing one file. Ninja is under a second.
 .
 This package contains the doxygen documentation for ninja.
