## ninja-build 1.5.1

=== debian/changelog ===
ninja-build (1.5.1-0.1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. (Fixes LP: #1473680)
    Remaining changes:
    - Run the tests at build time

 -- Hans Joachim Desserud <ubuntu@desserud.org>  Sun, 12 Jul 2015 15:04:44 +0200

ninja-build (1.5.1-0.1) experimental; urgency=medium

  [Mickaël Guerin]
  * Non-maintainer upload.
  * New upstream release. Closes: #767813
  * Fixed lintian warnings. Closes: #750585, #750583

  [Jussi Pakkanen]
  * Took Mickaël's packaging changes and got them reviewed
    in mentors and fixed the issues raised.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 19 Nov 2014 18:27:33 +0200

ninja-build (1.3.4-1.1ubuntu1) utopic; urgency=medium

  * Run the tests at build time

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 27 May 2014 17:20:55 +0200
