## ninja-build 1.7.1

=== debian/changelog ===
ninja-build (1.7.1-1~ubuntu16.04.1) xenial-backports; urgency=medium

  * No-change backport to xenial

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 26 May 2017 11:25:54 +0100

ninja-build (1.7.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #824724)
  * Ignore errors from ulimit -n when running the unit tests.
    - Fixes build on kfreebsd. (Closes: #820012)

 -- Felix Geyer <fgeyer@debian.org>  Sat, 21 May 2016 19:12:46 +0200

ninja-build (1.6.0-1) unstable; urgency=medium

  * New maintainer. (Closes: #810025)
  * Generate man page on every build. (Closes: #776605)
  * Fix value of default parallel level in man page. (Closes: #795747)
  * New upstream release. (Closes: #795748)
  * Clean up unused build-depends.
  * Pass CPPFLAGS to the build.
  * Drop ninja-build-doc package, only useful for developing ninja-build itself.
  * Move bash-completion file to /usr/share/bash-completion/completions/.
  * Run unit tests during the build. (Closes: #797586)
    Thanks to Michael Terry for the patch.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 08 Feb 2016 20:54:01 +0100

ninja-build (1.5.1-0.1) unstable; urgency=medium

  [Mickaël Guerin]
  * Non-maintainer upload.
  * New upstream release. Closes: #767813
  * Fixed lintian warnings. Closes: #750585, #750583

  [Jussi Pakkanen]
  * Took Mickaël's packaging changes and got them reviewed
    in mentors and fixed the issues raised.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 19 Nov 2014 18:27:33 +0200
