=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND=$(shell dpkg-buildflags --get CPPFLAGS)
export DEB_CXXFLAGS_MAINT_APPEND=$(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@

override_dh_auto_configure:
	./configure.py --bootstrap --verbose

override_dh_auto_build:
	./ninja -v all
	./ninja -v manual
	help2man --include=debian/ninja.1.in --output=build/ninja.1 --no-info --no-discard-stderr ./ninja
	sed -i 's/\(default=\)[0-9]\+, \(derived from CPUs available\)/\1\2/g' build/ninja.1

override_dh_auto_test:
	# Deliberately ignore errors from ulimit.
	# It allows more tests to run but some archs/buildds have a lower hard limit.
	sh -c "ulimit -n 2000; ./ninja_test"

override_dh_clean:
	dh_clean
	test -x ninja && ./ninja -t clean || true
	find -type f -iname "*.pyc" | xargs rm -f
	rm -f null.o
	rm -f build.ninja
	rm -rf build

override_dh_install-arch:
	dh_install
	mv debian/ninja-build/usr/share/bash-completion/completions/bash-completion \
	   debian/ninja-build/usr/share/bash-completion/completions/ninja
	mv debian/ninja-build/usr/share/zsh/functions/Completion/zsh-completion \
	   debian/ninja-build/usr/share/zsh/functions/Completion/_ninja
