## ninja-build 1.7.2

=== debian/changelog ===
ninja-build (1.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Move zsh completion file to /usr/share/zsh/vendor-completions/.
    (Closes: #843575)
  * Add -Wl,--as-needed to LDFLAGS.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 11 Nov 2016 17:20:12 +0100
