=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export DEB_CFLAGS_MAINT_APPEND=$(shell dpkg-buildflags --get CPPFLAGS)
 export DEB_CXXFLAGS_MAINT_APPEND=$(shell dpkg-buildflags --get CPPFLAGS)
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 %:
 	dh $@
@@ -32,6 +33,6 @@
 	dh_install
 	mv debian/ninja-build/usr/share/bash-completion/completions/bash-completion \
 	   debian/ninja-build/usr/share/bash-completion/completions/ninja
-	mv debian/ninja-build/usr/share/zsh/functions/Completion/zsh-completion \
-	   debian/ninja-build/usr/share/zsh/functions/Completion/_ninja
+	mv debian/ninja-build/usr/share/zsh/vendor-completions/zsh-completion \
+	   debian/ninja-build/usr/share/zsh/vendor-completions/_ninja
