## ninja-build 1.8.2

=== debian/changelog ===
ninja-build (1.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 24 Sep 2017 11:06:26 +0200

ninja-build (1.7.2-3) unstable; urgency=medium

  * Fix FTBFS with debhelper >= 10.3.
    - Add empty override targets for dh_auto_install and dh_auto_test.
  * Skip unit tests when DEB_BUILD_OPTIONS=nocheck is set.
  * Add basic autopkgtest.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 28 Jun 2017 00:05:54 +0200

ninja-build (1.7.2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark ninja-build Multi-Arch: foreign (Closes: #859173)

 -- Felix Geyer <fgeyer@debian.org>  Sun, 18 Jun 2017 09:43:26 +0200
