## ninja-build 1.9.0

=== debian/changelog ===
ninja-build (1.9.0-2) unstable; urgency=medium

  * Make build reproducible again. (Closes: #932117)
    - Fix man page sed pattern.
  * Switch to debhelper compat level 12.
  * Add a nodoc build profile.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 27 Jul 2019 10:04:12 +0200

ninja-build (1.9.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #923545)

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felix Geyer ]
  * Drop Conflicts: ninja as that package has been removed.
  * Drop obsolete /etc/bash-completion.d/ninja removal maintscript.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 13 Jul 2019 21:25:34 +0200
