=== debian/control ===
Source: ninja-build
Section: devel
Priority: optional
Maintainer: Felix Geyer <fgeyer@debian.org>
Build-Depends: asciidoc <!nodoc>,
               debhelper-compat (= 12),
               docbook-xml <!nodoc>,
               docbook-xsl <!nodoc>,
               help2man <!nodoc>,
               python,
               re2c,
               xsltproc <!nodoc>,
Homepage: https://ninja-build.org/
Vcs-Git: https://salsa.debian.org/debian/ninja-build.git
Vcs-Browser: https://salsa.debian.org/debian/ninja-build
Standards-Version: 3.9.6

Package: ninja-build
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: small build system closest in spirit to Make
 Ninja is yet another build system. It takes as input the interdependencies of
 files (typically source code and output executables) and orchestrates
 building them, quickly.
 .
 Ninja joins a sea of other build systems. Its distinguishing goal is to be
 fast. It is born from the Chromium browser project, which has over 30,000
 source files and whose other build systems can take ten seconds to start
 building after changing one file. Ninja is under a second.
