## ninja-build 1.10.0

=== debian/changelog ===
ninja-build (1.10.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:20:41 +0100

ninja-build (1.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 31 Jan 2020 23:47:24 +0100

ninja-build (1.9.0-3) unstable; urgency=medium

  * Switch build to python3. (Closes: #937142)
  * Add python3 to Suggests as it's used for 'ninja -t browse'.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 30 Aug 2019 19:28:53 +0200
