=== debian/watch ===
version=3
https://github.com/martine/ninja/tags .*/v(\d[\d\.]+)\.tar\.gz
