## ninja-build 1.10.1

=== debian/changelog ===
ninja-build (1.10.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 08 Jun 2021 14:06:13 -0700

ninja-build (1.10.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Philipp Huebner <debalance@debian.org>  Sun, 03 Jan 2021 15:39:58 +0100

ninja-build (1.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop use_html.escape_for_python3.patch, applied upstream.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 30 Aug 2020 11:52:09 +0200

ninja-build (1.10.0-2) unstable; urgency=medium

  * Cherry-pick patch to fix ninja -t browse with Python >= 3.8.
    (Closes: 958723)
    - Add use_html.escape_for_python3.patch

 -- Felix Geyer <fgeyer@debian.org>  Sun, 21 Jun 2020 11:09:37 +0200
