=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: ninja-build
 Section: devel
 Priority: optional
-Maintainer: Felix Geyer <fgeyer@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Felix Geyer <fgeyer@debian.org>
+Uploaders: Philipp Huebner <debalance@debian.org>
 Build-Depends: asciidoc <!nodoc>,
                debhelper-compat (= 12),
                docbook-xml <!nodoc>,
                docbook-xsl <!nodoc>,
                help2man <!nodoc>,
-               python,
+               python3,
                re2c,
-               xsltproc <!nodoc>,
+               xsltproc <!nodoc>
 Homepage: https://ninja-build.org/
 Vcs-Git: https://salsa.debian.org/debian/ninja-build.git
 Vcs-Browser: https://salsa.debian.org/debian/ninja-build
@@ -19,6 +21,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: python3
 Description: small build system closest in spirit to Make
  Ninja is yet another build system. It takes as input the interdependencies of
  files (typically source code and output executables) and orchestrates
