=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	./configure.py --bootstrap --verbose
+	python3 ./configure.py --bootstrap --verbose
 
 override_dh_auto_build:
 	./ninja -v all
@@ -46,3 +46,6 @@
 	   debian/ninja-build/usr/share/bash-completion/completions/ninja
 	mv debian/ninja-build/usr/share/zsh/vendor-completions/zsh-completion \
 	   debian/ninja-build/usr/share/zsh/vendor-completions/_ninja
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
