=== debian/tests/control ===
Tests: basic
Depends: build-essential, ninja-build
