## ninja-build 1.11.0

=== debian/changelog ===
ninja-build (1.11.0-1) unstable; urgency=medium

  [ Felix Geyer ]
  * New upstream release.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 23 May 2022 21:56:20 +0200
