## ninja-build 1.11.1

=== debian/changelog ===
ninja-build (1.11.1-2) unstable; urgency=medium

  * Support large inode numbers on 32-bit systems. (Closes: #1041897)
    - Cherry-pick upstream commit as support_32bit_system_like_i386.patch

 -- Felix Geyer <fgeyer@debian.org>  Sun, 03 Sep 2023 16:34:04 +0200

ninja-build (1.11.1-1) unstable; urgency=medium

  * New upstream release.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 02 Sep 2022 12:31:31 +0200
