=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: ninja-build
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Felix Geyer <fgeyer@debian.org>
-Uploaders: Philipp Huebner <debalance@debian.org>
+Maintainer: Felix Geyer <fgeyer@debian.org>
 Build-Depends: asciidoc <!nodoc>,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                docbook-xml <!nodoc>,
                docbook-xsl <!nodoc>,
                help2man <!nodoc>,
                python3,
                re2c,
-               xsltproc <!nodoc>
+               xsltproc <!nodoc>,
 Homepage: https://ninja-build.org/
 Vcs-Git: https://salsa.debian.org/debian/ninja-build.git
 Vcs-Browser: https://salsa.debian.org/debian/ninja-build
