=== debian/watch ===
version=4
https://github.com/martine/ninja/tags .*/v(\d[\d\.]+)\.tar\.gz
