## ninja-build 1.12.1

=== debian/changelog ===
ninja-build (1.12.1-1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:14:17 +0800

ninja-build (1.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop support_32bit_system_like_i386.patch, applied upstream.
  * Build using cmake instead of using upstream's bootstrapping script.
    It doesn't support building the unit tests anymore.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 12 May 2024 11:17:01 +0200
