=== debian/changelog ===
ninja-build (1.13.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1119984)
  * Drop Emacs file as it was moved to a separate project.
  * Cherry-pick upstream commit to fix tests on big endian architectures.
    - Add deps_log_test_support_big_endian_architectures.patch

 -- Felix Geyer <fgeyer@debian.org>  Tue, 04 Nov 2025 22:37:15 +0100
