=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Priority: optional
 Maintainer: Felix Geyer <fgeyer@debian.org>
 Build-Depends: asciidoc <!nodoc>,
+               cmake,
                debhelper-compat (= 13),
                docbook-xml <!nodoc>,
                docbook-xsl <!nodoc>,
                help2man <!nodoc>,
-               python3,
+               libgtest-dev <!nocheck>,
+               python3 <!nodoc>,
                re2c,
                xsltproc <!nodoc>,
 Homepage: https://ninja-build.org/
