=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=build

override_dh_auto_configure:
	# upstream enables LTO only for the "Release" build type but Debian
	# uses the custom "None" type, so enable LTO here for all types
	dh_auto_configure -- -DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON -DNINJA_PYTHON=python3

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
execute_after_dh_auto_build:
	# create build.ninja file with the "manual" target
	./configure.py
	build/ninja -v manual
	help2man --include=debian/ninja.1.in --output=build/ninja.1.org --no-info --no-discard-stderr build/ninja
	sed 's/\(default=\)[0-9]\+ on this system/\1\#CPUs/' build/ninja.1.org > build/ninja.1
	if cmp --silent build/ninja.1.org build/ninja.1; then echo "sed pattern not found"; exit 1; fi
endif

override_dh_auto_test:
	# Deliberately ignore errors from ulimit.
	# It allows more tests to run but some archs/buildds have a lower hard limit.
	sh -c "ulimit -n 2000; build/ninja_test"

override_dh_install-arch:
	dh_install
	mv debian/ninja-build/usr/share/bash-completion/completions/bash-completion \
	   debian/ninja-build/usr/share/bash-completion/completions/ninja
	mv debian/ninja-build/usr/share/zsh/vendor-completions/zsh-completion \
	   debian/ninja-build/usr/share/zsh/vendor-completions/_ninja
