=== debian/tests/control ===
Tests: basic
Depends: ninja-build, build-essential
