=== debian/watch ===
version=4
https://github.com/ninja-build/ninja/tags .*/v(\d[\d\.]+)\.tar\.gz
