## ninja-build 1.13.2

=== debian/changelog ===
ninja-build (1.13.2-1) unstable; urgency=medium

  * New upstream release.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 20 Nov 2025 17:58:03 +0100
